/* By Uk */
@import 'mixin';
// @import 'fonts';
@import 'colors';

.txt-color {
    background: linear-gradient(90deg, #38568F 0%, #38A1F7 93.85%);
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    text-fill-color: transparent;
}

.statusbar {
    position: relative;
    padding-left: 0;
    margin: 0;
    background-color: #f5f5f5;
    padding: 1% 0%;
    list-style: none;
    display: flex;
    align-items: center;

    .line {
        position: absolute;
        left: 50%;
        top: 41%;
        transform: translate(-50%, -50%);
        width: 80%;
        height: 4px;
        // background-color: #fff;
        // background: linear-gradient(to right,  #dbdbdb );
        // background-image: linear-gradient(to right, transparent 50%, #223049 50%), 
        // linear-gradient(to right, #00b9ff, #59d941);
        // background-size: 16px 2px, 100% 2px;
        border-bottom: 2px dashed #ADB3BC;
    }

    // justify-content: center;
    .statusbar-bx {
        position: relative;
        flex: 1;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
        box-sizing: border-box;

        &.active {
            .statusbar-bx-chld {
                // border-color: #38568F;
                border: 0px;
                background: linear-gradient(180deg, #38568F 0%, #38A1F7 100%) !important;
                color: white
            }

            .statusbar-bx-name {
                // color: #38568F;
                @extend .txt-color;
            }
        }

        .statusbar-bx-chld {
            width: 60px;
            height: 60px;
            border-radius: 50%;
            // border: 1px solid #ADB3BC;
            // outline: 1px solid #ADB3BC;
            display: flex;
            align-items: center;
            justify-content: center;
            margin-bottom: 6px;
            background: #f5f5f5;
            box-sizing: border-box;
            position: relative;
            color: #ADB3BC;

            .statusbar-circle {
                position: absolute;
                left: 50%;
                top: 50%;
                // right: 0;
                // bottom: 0;
                transform: translate(-50%, -50%);
            }

            // i{
            //     color:#ADB3BC
            // }
        }

        .statusbar-bx-name {
            color: #ADB3BC;
            font-size: 14px;
            margin-bottom: 0;
            font-family: ProximaNova-semibold;
        }
    }

    .statusbar-item {
        // background-color: #fff;
        // margin: 3px;
    }
}

.statusbar-tal {
    @extend .statusbar;

    .line {
        background-image: linear-gradient(to right, black 33%, rgba(255, 255, 255, 0) 0%);
        background-position: bottom;
        background-size: 34px 1px;
        background-repeat: repeat-x;
        top: 38%;
        border-bottom: none;
    }

}